package com.ruoyi.commonapi.service;

import com.ruoyi.commonapi.cache.CachePrefix;
import com.ruoyi.commonapi.entity.dto.VerificationDTO;

/**
 * 验证码资源维护 业务层
 *
 * @author Chopper
 * @since 2020/11/17 3:44 下午
 */
public interface VerificationSourceService {

    /**
     * 缓存
     */
    String VERIFICATION_CACHE = CachePrefix.VERIFICATION.getPrefix();


    /**
     * 初始化缓存
     *
     * @return
     */
    VerificationDTO initCache();

    /**
     * 获取验证缓存
     *
     * @return 验证码
     */
    VerificationDTO getVerificationCache();
}